rosetta 0.0.1+1

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 82

Rosetta #

This is a localization library to simplify Flutter localization with the help of code generation.

This is library contains the Annotation used to configure the generator.

Initial version #

Basic functionality implemented. Features are on the way.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  rosetta: ^0.0.1+1

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:rosetta/rosetta.dart';
  
Version Uploaded Documentation Archive
0.1.2 Feb 25, 2019 Go to the documentation of rosetta 0.1.2 Download rosetta 0.1.2 archive
0.1.1 Feb 10, 2019 Go to the documentation of rosetta 0.1.1 Download rosetta 0.1.1 archive
0.1.0 Jan 24, 2019 Go to the documentation of rosetta 0.1.0 Download rosetta 0.1.0 archive
0.0.1+4 Jan 18, 2019 Go to the documentation of rosetta 0.0.1+4 Download rosetta 0.0.1+4 archive
0.0.1+3 Jan 18, 2019 Go to the documentation of rosetta 0.0.1+3 Download rosetta 0.0.1+3 archive
0.0.1+2 Jan 18, 2019 Go to the documentation of rosetta 0.0.1+2 Download rosetta 0.0.1+2 archive
0.0.1+1 Jan 17, 2019 Go to the documentation of rosetta 0.0.1+1 Download rosetta 0.0.1+1 archive
0.0.1 Jan 16, 2019 Go to the documentation of rosetta 0.0.1 Download rosetta 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
71
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
80
Overall:
Weighted score of the above. [more]
82
Learn more about scoring.

We analyzed this package on May 22, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.3.1
  • pana: 0.12.16

Platforms

Detected platforms: Flutter, web, other

No platform restriction found in primary library package:rosetta/rosetta.dart.

Maintenance suggestions

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and rosetta.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Package is pre-v0.1 release. (-10 points)

While nothing is inherently wrong with versions of 0.0.*, it might mean that the author is still experimenting with the general direction of the API.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0 <3.0.0